Subject: assertion metadata_length > 0 in add_logical_part_metadata failed

From: James Ring <[email-masked]>
Date: Sat, 19 Sep 2015 21:26:20 -0700

Hi there,

(please cc me on replies)

I ran into an assertion error in parted running on my Kubuntu box:

sjr@sjr-desktop:~$ sudo parted /dev/sdb print

Backtrace has 14 calls on stack:

  14: /lib/x86_64-linux-gnu/libparted.so.2(ped_assert+0x44) [0x7feda0f8c2e4]

  13: /lib/x86_64-linux-gnu/libparted.so.2(+0x1e876) [0x7feda0f9f876]

  12: /lib/x86_64-linux-gnu/libparted.so.2(+0xfd4a) [0x7feda0f90d4a]

  11: /lib/x86_64-linux-gnu/libparted.so.2(ped_disk_add_partition+0x263)
[0x7feda0f91643]

  10: /lib/x86_64-linux-gnu/libparted.so.2(+0x1e155) [0x7feda0f9f155]

  9: /lib/x86_64-linux-gnu/libparted.so.2(+0x1e1f0) [0x7feda0f9f1f0]

  8: /lib/x86_64-linux-gnu/libparted.so.2(+0x1e18f) [0x7feda0f9f18f]

  7: /lib/x86_64-linux-gnu/libparted.so.2(+0x1f2a5) [0x7feda0fa02a5]

  6: /lib/x86_64-linux-gnu/libparted.so.2(ped_disk_new+0x48) [0x7feda0f91268]

  5: parted() [0x407769]

  4: parted(non_interactive_mode+0x92) [0x40cb22]

  3: parted(main+0x10a8) [0x405e78]

  2: /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf0) [0x7feda0768a40]

  1: parted(_start+0x29) [0x405fc9]

You found a bug in GNU Parted! Here's what you have to do:

Don't panic! The bug has most likely not affected any of your data.

Help us to fix this bug by doing the following:

Check whether the bug has already been fixed by checking

the last version of GNU Parted that you can find at:

http://ftp.gnu.org/gnu/parted/

Please check this version prior to bug reporting.

If this has not been fixed yet or if you don't know how to check,

please visit the GNU Parted website:

http://www.gnu.org/software/parted

for further information.

Your report should contain the version of this release (3.2)

along with the error message below, the output of

parted DEVICE unit co print unit s print

and the following history of commands you entered.

Also include any additional information about your setup you

consider important.

Assertion (metadata_length > 0) at
../../../libparted/labels/dos.c:2313 in function
add_logical_part_metadata() failed.

Output of parted /dev/sdb unit co print unit s print is the same.

fdisk /dev/sdb:
Disk /dev/sdb: 931.5 GiB, 1000204886016 bytes, 1953525168 sectors

Units: sectors of 1 * 512 = 512 bytes

Sector size (logical/physical): 512 bytes / 512 bytes

I/O size (minimum/optimal): 512 bytes / 512 bytes

Disklabel type: dos

Disk identifier: 0x25978550

Device     Boot      Start        End    Sectors   Size Id Type

/dev/sdb1  *          2048     206847     204800   100M  7 HPFS/NTFS/exFAT

/dev/sdb2           206848 1022138367 1021931520 487.3G  7 HPFS/NTFS/exFAT

/dev/sdb3       1022138368 1025413119    3274752   1.6G 83 Linux

/dev/sdb4       1431537662 1953523711  521986050 248.9G  5 Extended

/dev/sdb5       1431537664 1930088447  498550784 237.7G 83 Linux

/dev/sdb6       1930088448 1953523711   23435264  11.2G 82 Linux swap / Solaris

sjr@sjr-desktop:~$ uname -a

Linux sjr-desktop 4.2.0-10-generic #12-Ubuntu SMP Tue Sep 15 19:43:01
UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

sjr@sjr-desktop:~$ lsb_release  -a

LSB Version: core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch:core-4.1-amd64:core-4.1-noarch:security-4.0-amd64:security-4.0-noarch:security-4.1-amd64:security-4.1-noarch

Distributor ID: Ubuntu

Description: Ubuntu Wily Werewolf (development branch)

Release: 15.10

Codename: wily

Please let me know if I can be of any more help.

Regards,
James